; Non-localized constants for Skype utility code
const
; Skype version code, spoken by JAWSKey+Q.
	Script_Version = "6.22a",
	Script_Revision = "886",
; Window class names (wc) and substrings within names (cws).
	wcApp = "TApplication",   ; The class name of the parent of Skype toolbars and other things
	cwsPageControl = "pagecontrol",  ; Identifies the main Skype window page control
	cwsToolTip = "hintwindow",  ; Identifies the Skype tool tip
	cwsNotify = "notif",  ; Identifies system tray pop-up notification windows
	cwsMyself = "myselfcontrol",  ; Identifies the Skype 1.5 "myself" control (events and services)
; Skype window types; See GetSkypeWindow().
; These can be sent to GetSkypeWindow() and GetSkypeMSAAObject().
; SWT_MenuBar is only intended for use with GetSkypeMSAAObject().
	SWT_Main = "main",   ; The main (top-level) Skype window
	SWT_MenuBar = "menubar",   ; The main-window Skype menu bar (MSAA object)
	SWT_Myself = "myself",   ; The Myself panel
	SWT_Communicator = "Communicator",   ; The Communicator window for a conversation
	SWT_CallQuality = "callQuality",   ; The Call Quality control for a conversation
	SWT_ContactList = "contactList",   ; The actual contact list window
	SWT_ConversationList = "conversationList",   ; The conversation list
	SWT_LiveConversations = "liveConversations",   ; The live conversation list
	SWT_History = "history",   ; The History list
	SWT_Home = "home",   ; The Skype Home window (Skype 5)
	SWT_ToolTip = "tooltip",   ; The Skype tool tip (contact/caller info, button name, etc.)
	SWT_Notify = "notify",   ; A Skype system tray pop-up window
; The following are not absolute window identifiers; they are unique within a single active conversation window.
	SWT_ChatPrefix = "chat",   ; Not an ID; the prefix of all the below conversation-related IDs.
	SWT_ChatMain = "chatMain",   ; The main (top-level) window if it is an active conversation
	SWT_ChatInput = "chatInput",   ; The input edit box in the active conversation window
	SWT_ChatOutput = "chatOutput",   ; The output edit box in the active conversation window
	SWT_ChatList = "chatList",   ; The participant list in Skype 1.1 chat windows
	SWT_ChatContact = "chatContact",   ; The contact profile(s) in Skype 4 conversation windows
	cnstCChat = "TskChatForm",
	cnstCMain = "MainForm",
	cnstcStatusBar = "TTntStatusBar",
	cnstcPanel = "TPanel",
	cnstcAbout = "TskAbout",
	CNSTCSearch = "tSkSearchForm",
	cnstINIFileName = "skype.ini",
	cnstINISectName = "toggles",
	cnstIniSWAKey = "SkypeWatchAlertList",
	cnstSWASep = "\7",
	fNameSkypeTyping = "SkypeTyping%1.wav",
	CnstSkypeScriptsURL="http://www.dlee.org/skype/"

; Skype utility globals.
globals
; A variable used to indicate whether the SkypeWatch module is running.
	int SkypeWatch_lastTick,
; True if SkypeWatch's windowCreatedEvent has been called since SkypeWatch was started.
	int SkypeWatch_WCECalled

